import javax.swing.*;
public class cartesiantest
{
public static void main(String arg[])
{cartesian a0=new cartesian("a0",0.0,0.0,0.0);
 cartesian a1=new cartesian("a1",1.0,1.0,1.0);
 cartesian a2=new cartesian(a1);
 String s=a0.toString()+"\n"+a1.toString()+"\n"+a2.toString()+ "\ndistance="+cartesian.distance(a1,a0);
 JOptionPane.showMessageDialog(null,s);
}
}